## kdevelop 24.08.0

=== debian/changelog ===
kdevelop (4:24.08.0-0zneon+22.04+jammy+release+build9) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Aug 2024 01:02:53 +0000

kdevelop (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:57:38 +0000

kdevelop (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:32:48 +0000

kdevelop (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:02:10 +0000

kdevelop (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:47:34 +0000

kdevelop (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:43:17 +0000

kdevelop (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:25:43 +0000

kdevelop (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 12:51:19 +0000

kdevelop (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:42:35 +0000

kdevelop (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:33:28 +0000

kdevelop (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:00:49 +0000

kdevelop (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:43:53 +0000

kdevelop (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:13:22 +0000

kdevelop (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:51:51 +0000

kdevelop (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:55:24 +0000

kdevelop (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:18:58 +0000

kdevelop (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:07:36 +0000

kdevelop (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:20:54 +0000

kdevelop (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:08:01 +0000

kdevelop (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:35:32 +0000

kdevelop (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:26:33 +0000

kdevelop (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:42:47 +0000

kdevelop (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:07 +0000

kdevelop (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:57:37 +0000

kdevelop (4:5.6.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Feb 2021 19:32:04 +0000

kdevelop (4:5.6.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Sep 2020 19:32:05 +0000

kdevelop (4:5.5.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jun 2020 19:36:01 +0000

kdevelop (4:5.5.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 May 2020 19:32:11 +0000

kdevelop (4:5.5.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 03 Feb 2020 12:10:25 +0000

kdevelop (4:5.4.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jan 2020 19:32:05 +0000

kdevelop (4:5.4.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 02 Dec 2019 19:32:05 +0000

kdevelop (4:5.4.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Nov 2019 18:57:41 +0000

kdevelop (4:5.4.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Oct 2019 17:07:09 +0000

kdevelop (4:5.4.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2019 19:32:08 +0000

kdevelop (4:5.4.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 19:32:04 +0000

kdevelop (4:5.4.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Aug 2019 08:44:49 +0000

kdevelop (4:5.3.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Jul 2019 10:08:41 +0000

kdevelop (4:5.3.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Mar 2019 11:05:11 +0000

kdevelop (4:5.3.1-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Dec 2018 19:32:06 +0000

kdevelop (4:5.2.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Aug 2018 13:24:16 +0000

kdevelop (4:5.2.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 May 2018 13:01:05 +0000

kdevelop (4:5.2.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Nov 2017 14:01:50 +0000

kdevelop (4:5.2.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2017 13:14:32 +0000

kdevelop (4:5.1.2-2~) UNRELEASED; urgency=medium

  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879333)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 Oct 2017 18:04:58 +0100
