=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: clazy,
               cmake,
               cppcheck,
               debhelper-compat (= 13),
               heaptrack-gui,
               kdevelop-pg-qt,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kparts-dev,
               kf6-krunner-dev [linux-any],
               kf6-kservice-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               libastyle-dev,
               libboost-dev (>= 1.35.0),
               libclang-14-dev (>= 1:3.8) [!alpha !hppa !hurd-any !ia64 !kfreebsd-any !m68k !powerpcspe !riscv64 !sh4 !x32],
               libkomparediff2-dev,
               libksysguard-dev,
               libplasma-dev,
               libsvn-dev,
               llvm-14-dev (>= 1:3.8) [!alpha !hppa !hurd-any !ia64 !kfreebsd-any !m68k !powerpcspe !riscv64 !sh4 !x32],
               okteta-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: http://www.kdevelop.org/
Vcs-Git: https://invent.kde.org/neon/extras/kdevelop.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdevelop
Maintainer: Neon CI <neon@kde.org>

Package: kdevelop
Architecture: any
Depends: clang-tidy-14,
         clazy,
         cppcheck,
         heaptrack-gui,
         meson,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make, plasma-kdevelop
Suggests: cmake, cppcheck, heaptrack, kdevelop-l10n, ninja-build
Breaks: kdevelop-data (<< ${source:Version}~ciBuild)
Replaces: kdevelop-data
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 KDevelop has parser backends for C, C++ and Javascript/QML, with further
 external plugins supporting e.g. PHP or Python.

Package: kdevelop-dev
Section: libdevel
Architecture: any
Depends: kdevelop (= ${binary:Version}),
         kdevplatform-dev,
         kf6-karchive-dev,
         kf6-kconfigwidgets-dev,
         kf6-ktexteditor-dev,
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains development files for KDevelop.

Package: kdevelop-data
Architecture: all
Section: oldlibs
Depends: kdevelop, ${misc:Depends}
Description: Dummy transitional package.
 This is a dummy transitional and can be safely deleted.

Package: kdevelop-l10n
Architecture: all
Section: oldlibs
Depends: kdevelop, ${misc:Depends}
Description: Dummy transitional package.
 This is a dummy transitional and can be safely deleted.

Package: kdevplatform-libs
Architecture: any
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdevplatform514-libs (<< 4:24.08.0),
        kdevplatform515-libs (<< 4:24.08.0)
Provides: qml6-module-org-kde-kdevplatform
Suggests: cvs, git, kdevplatform-l10n, konsole, zsh
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform-libs (= ${binary:Version}),
         kf6-karchive-dev,
         kf6-ktexteditor-dev,
         kf6-threadweaver-dev,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: plasma-kdevelop
Architecture: any
Depends: kdevelop (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop plugins for Plasma - dummy empty package
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 Empty package

Package: kdevplatform514-libs
Architecture: any
Depends: kdevplatform-libs, ${misc:Depends}, ${shlibs:Depends}
Description: dummy transitional
 Empty package
