## kdevelop 24.12.0

=== debian/changelog ===
kdevelop (4:24.12.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Replace manual QML runtime dependencies with dh-sequence-qmldeps. (Closes:
    #1093691)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 16:17:59 +0100

kdevelop (4:24.12.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Qt WebEngine is now a strict dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:24:16 +0100

kdevelop (4:24.12.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing qt6-5compat-dev dependency for the kdevelop-dev package.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:03:45 +0100

kdevelop (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 21:44:40 +0100

kdevelop (4:24.12.0-1) unstable; urgency=low

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to libraries soname bump from 512 to 61.
  * Use Debian’s default clang version (currently 19).
  * Cleanup obsolete debian/rules command.
  * Remove ia64 from architecture qualifiers.
  * Added myself to the uploaders.
  * Remove use of obsolete grantlee library.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Jan 2025 18:34:50 +0100

kdevelop (4:23.08.1-4) unstable; urgency=medium

  * Team upload.

  [ Dandan Zhang ]
  * Enable the usage of LLVM/Clang on loong64.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 14:33:15 +0200

kdevelop (4:23.08.1-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkf5sysguard-dev from build-deps, it’s going away with Plasma 6.
  * Replace pkg-konfig transitional build-dep with pkgconf.
  * Bump Standards-Version to 4.7.0, no change required.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 15:32:34 +0200

kdevelop (4:23.08.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:15:06 +0200

kdevelop (4:23.08.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
  * Rename packages according to the SONAME bumps:
    - kdevelop510-libs -> kdevelop512-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Update lintian overrides.
  * Update the patches:
    - upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch:
      drop, backported from upstream
    - upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch:
      drop, backported from upstream
    - upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch:
      drop, backported from upstream
    - upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 18 Sep 2023 08:55:08 +0200

kdevelop (4:22.12.2-3) unstable; urgency=medium

  * Backport upstream commit 1a92bed73ae31e6f90c3bffe455f8e3c46ac4905,
    commit 9913f734d8aab75ea2e97c699cd926e9fd7a40b6, and
    commit 1c7bdc2e0f8dcf2aeb682ab3f5e317e3a97435ea, and
    ede1cf4ad6f945349060db9446c489e3fd34dec4 to find LLVM/Clang >= 16, and
    build with it; patches
    upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch,
    upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch,
    upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch,
    upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch
    (Closes: #1051885)
    - refresh optional-clang.diff to apply cleanly on top of them
  * Disable the usage of LLVM/Clang on loong64 & sparc64, as it is not available
    on these architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2023 07:35:46 +0200
