## kdevelop 24.12.1

=== debian/changelog ===
kdevelop (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Jan 2025 07:32:56 +0000

kdevelop (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:18:05 +0000

kdevelop (4:24.12.0-0ubuntu2) plucky; urgency=medium

  * Fix/update runtime depends for Qt6/KF6.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Dec 2024 21:16:33 +0000

kdevelop (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps and build system for Qt6/KF6.
  * Update -dev package depends.
  * Build with default clang/llvm version in Plucky.
  * Rename packages according to the SONAME bumps:
    - kdevelop512-libs -> kdevelop61-libs
  * Bump KDEV_PLUGIN_VERSION to 61, according to upstream.
  * Update install files.
  * d/rules: Enable all hardening options.
  * d/rules: Remove obsolete manual file removal.
  * d/control: Remove old Breaks/Replaces.
  * Bump standards version to 4.7.0, no changes required.
  * wrap-and-sort -t

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Dec 2024 08:47:21 +0000

kdevelop (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * For now build without libksyguard. When we have Qt6/KF6 versions of
    kdevelop and libksysguard this can be enabled again.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 22:54:40 +0100
