=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: bash-completion,
+               clang (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
-               dh-sequence-qmldeps,
-               bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !m68k !sh4 !sparc64 !x32],
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
-               kdevelop-pg-qt (>= 2.3~),
-               libboost-dev (>= 1.35.0~),
-               libclang-dev,
+               gettext,
+               kdevelop-pg-qt (>= 2.3.0),
+               libastyle-dev (>= 3.1),
+               libboost-serialization-dev,
+               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
                libkf6archive-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -31,8 +32,7 @@
                libkf6notifications-dev (>= 6.0.0~),
                libkf6notifyconfig-dev (>= 6.0.0~),
                libkf6parts-dev (>= 6.0.0~),
-               libkf6purpose-dev,
-               libkf6runner-dev,
+               libkf6purpose-dev (>= 6.0.0~),
                libkf6service-dev (>= 6.0.0~),
                libkf6sonnet-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
@@ -41,27 +41,27 @@
                libkf6threadweaver-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 6.0~),
+               libkomparediff2-dev (>= 4:24.12.1~),
                libksysguard-dev,
-               llvm-dev [!alpha !hppa !m68k !sh4 !sparc64 !x32],
                libplasma-dev,
                libsvn-dev,
+               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-tools-dev,
-               qt6-webengine-dev,
+               qt6-webengine-dev (>= 6.5.0~),
                shared-mime-info (>= 1.9~),
+               zlib1g-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
 Package: kdevelop61-libs
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
@@ -70,10 +70,13 @@
  This package is part of the KDevelop platform.
 
 Package: kdevelop
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop-data (>= ${source:Version}),
          kdevelop61-libs (= ${binary:Version}),
-         kinit,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-layouts,
+         qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: g++,
@@ -86,7 +89,7 @@
 Suggests: clang,
           clang-tidy,
           clazy,
-          cmake (>= 3.16~),
+          cmake,
           cppcheck,
           git,
           heaptrack [linux-any],
@@ -116,21 +119,37 @@
 
 Package: kdevelop-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop61-libs (= ${binary:Version}),
-         libboost-dev (>= 1.35.0~),
+         libkf6archive-dev (>= 6.0.0~),
          libkf6config-dev (>= 6.0.0~),
+         libkf6crash-dev (>= 6.0.0~),
+         libkf6doctools-dev (>= 6.0.0~),
          libkf6guiaddons-dev (>= 6.0.0~),
          libkf6i18n-dev (>= 6.0.0~),
          libkf6iconthemes-dev (>= 6.0.0~),
+         libkf6itemmodels-dev (>= 6.0.0~),
+         libkf6itemviews-dev (>= 6.0.0~),
+         libkf6jobwidgets-dev (>= 6.0.0~),
+         libkf6kcmutils-dev (>= 6.0.0~),
          libkf6kio-dev (>= 6.0.0~),
+         libkf6newstuff-dev (>= 6.0.0~),
+         libkf6notifications-dev (>= 6.0.0~),
+         libkf6notifyconfig-dev (>= 6.0.0~),
          libkf6parts-dev (>= 6.0.0~),
+         libkf6purpose-dev (>= 6.0.0~),
+         libkf6service-dev (>= 6.0.0~),
+         libkf6sonnet-dev (>= 6.0.0~),
          libkf6texteditor-dev (>= 6.0.0~),
+         libkf6texttemplate-dev (>= 6.0.0~),
+         libkf6textwidgets-dev (>= 6.0.0~),
          libkf6threadweaver-dev (>= 6.0.0~),
+         libkf6windowsystem-dev (>= 6.0.0~),
+         libkf6xmlgui-dev (>= 6.0.0~),
          qt6-5compat-dev (>= 6.5.0~),
          qt6-base-dev (>= 6.5.0~),
          qt6-declarative-dev (>= 6.5.0~),
-         qt6-webengine-dev,
+         qt6-webengine-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for the KDevelop IDE
  KDevelop is a Free and Open Source integrated development
@@ -153,10 +172,12 @@
  This package contains the translations for KDevelop.
 
 Package: plasma-kdevelop
-Architecture: linux-any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop (= ${binary:Version}),
+         qml6-module-org-kde-kirigami,
+         qml6-module-org-kde-kitemmodels,
+         qml6-module-org-kde-ksvg,
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Description: KDevelop plugins for Plasma
  KDevelop is a Free and Open Source integrated development
